Bug 984433 - rhqctl --install fails with : /var/lib/rhq/storage/commitlog does not exist
rhqctl --install fails with : /var/lib/rhq/storage/commitlog does not exist
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Installer (Show other bugs)
4.9
Unspecified Unspecified
unspecified Severity urgent (vote)
: ---
: RHQ 4.9
Assigned To: John Sanda
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 04:42 EDT by Libor Zoubek
Modified: 2015-11-01 19:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-24 15:09:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Zoubek 2013-07-15 04:42:29 EDT
Description of problem:	Since Jul 11, 2013 rhqctl fails to install 


Version-Release number of selected component (if applicable):
RHQ 4.9-master build

How reproducible:always


Steps to Reproduce:
1. chown /var/lib/rhq to current user, clean it up and run ./rhqctl --install 

Actual results:
04:38:37,834 INFO  [org.rhq.storage.installer.StorageInstaller] Running RHQ Storage Node installer...
Exception in thread "main" java.lang.IllegalArgumentException: /var/lib/rhq/storage/commitlog does not exist
        at org.apache.commons.io.FileUtils.sizeOf(FileUtils.java:2053)
        at org.rhq.storage.installer.StorageInstaller.isDirectoryEmpty(StorageInstaller.java:453)
        at org.rhq.storage.installer.StorageInstaller.run(StorageInstaller.java:311)
        at org.rhq.storage.installer.StorageInstaller.main(StorageInstaller.java:747)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:616)
        at org.jboss.modules.Module.run(Module.java:262)
        at org.jboss.modules.Main.main(Main.java:329)

If I create /var/lib/rhq/storage/commitlog installer fails on /var/lib/rhq/storage/data does not exist


Expected results: it is able to install cassandra to empty directory


Additional info:
Comment 1 John Sanda 2013-07-15 10:36:19 EDT
I reverted the code that caused this regression. The fix should be in build 2422 of the rhq-master Jenkins job.

master commit hash: 68d4c3d2c3c
Comment 2 Heiko W. Rupp 2013-09-24 15:09:11 EDT
Bulk closing of RHQ 4.9 verified items

Note You need to log in before you can comment on or make changes to this bug.